Interfaces are imported even though ignore_puppet_facts_for_provisioning is set to true
Description

User reports that after enabling ignore_puppet_facts_for_provisioning to true and upgrade from 1.7.2 to 1.8.2, interfaces are still

being imported. See #9104 for more details. According to code, importing should be disabled

https://github.com/theforeman/foreman/blob/1.8.2/app/services/fact_parser.rb#L95

https://github.com/theforeman/foreman/blob/1.8.2/app/models/host/base.rb#L150

Related issues:

Related to Foreman - Feature #9104: Disable auto network interfaces Closed 01/25/2015

Related to Discovery - Bug #12391: Discovery breaks ignore_puppet_facts_for_p... Closed 11/04/2015

History

#1 - 07/08/2015 03:06 AM - Marek Hulán

- Related to Feature #9104: Disable auto network interfaces added

#2 - 07/08/2015 07:26 AM - Marek Hulán

- Status changed from New to Need more information

I'm unable to reproduce the behaviour, ignore_puppet_facts_for_provisioning settings is effective and works correctly on my setup. Mark, could you

please upgrade to 1.8 again, remove interfaces, enable debug mode, rerun puppet agent and paste a production.log or ideally run foreman-debug?

Also adding few debugging lines to the code would help to find the cause.

#3 - 08/18/2015 12:35 PM - The Foreman Bot

- Status changed from Need more information to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2616 added

- Pull request deleted ()

#4 - 08/19/2015 04:16 AM - Marek Hulán

- Status changed from Ready For Testing to Need more information

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2616)

Reverting back, typo in commit message

#5 - 08/24/2015 05:20 AM - Jörn Ott

Marek Hulán wrote:

I'm unable to reproduce the behaviour, ignore_puppet_facts_for_provisioning settings is effective and works correctly on my setup. Mark, could

you please upgrade to 1.8 again, remove interfaces, enable debug mode, rerun puppet agent and paste a production.log or ideally run

foreman-debug? Also adding few debugging lines to the code would help to find the cause.

 I have a physical server with 4 physical NICs and I use openvswitch to bond them together. One virtual port is int0 (bound to the internal VLAN) and
the other is ext0 (bound to the external VLAN). As a result, foreman shows a lot of NICs (also ovs-system showing up 4 times with different MAC

addresses). It does not list ext0 however and enp2s0f0 is shown as eth0 instead.

When I try to edit the host in foreman, it complains about invalid interfaces. When I try to delete the interfaces I don't want to show up, they are

re-added and saving the host fails again.

#6 - 11/17/2015 06:38 AM - Dominic Cleal

- Related to Bug #12391: Discovery breaks ignore_puppet_facts_for_provisioning global setting added

#7 - 11/17/2015 06:39 AM - Dominic Cleal

#12391 is a bug in Discovery 4.0.0+ that also breaks this setting.

#8 - 02/20/2017 02:05 PM - Marek Hulán

- Status changed from Need more information to Feedback

I haven't seen this for a while. Please let us know if you still encounter described issue.

#9 - 05/17/2017 11:51 AM - Anonymous

- Status changed from Feedback to Resolved
